# Mint New ERC1155 NFT

### Create and mint a new NFT to a specific recipient

## Create and mint a new NFT to a specific recipient

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/new`

Takes an item's collection address,  address to mint to (recipient), new NFT properties and your API key and mints additional supply of the specified NFT to the specified address.&#x20;

Only works if your Altura Developer Wallet is authorized on the collection contract.

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                                | Type    | Description                                        |
| --------------------------------------------------- | ------- | -------------------------------------------------- |
| collectionAddress<mark style="color:red;">\*</mark> | String  | The item's collection address                      |
| recipient<mark style="color:red;">\*</mark>         | String  | The address you want to mint the new NFT supply to |
| chainId<mark style="color:red;">\*</mark>           | Integer | The target chain                                   |
| item<mark style="color:red;">\*</mark>              | Object  | See example below                                  |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

```json
// Example

{
    "chainId": 11155111,
    "collectionAddress": "0xefbda619dba1b282e13f4602084188a8f8451a93",
    "recipient": "0x8dDC089aa4CC1150a614E0953eFE81d742C03684",
    "item": {
        "name": "Sepolius Item",
        "description": "Is it magical?",
        "imageUrl": "https://ipfs.io/ipfs/Qmc7s8t2Et9RK5Vzv9usPawk6TtU7i7oABJ7oF4NwoTpQW/756.png",
        "fileType": "image/png",
        "properties": [
            { "name": "Level", "value": "God", "static": true }
        ],
        "isStackable": true,
        "isConsumable": false,
        "initialSupply": 5,
        "maximumSupply": 10,
        "royaltyFee": 50 // 5%
    }
}
```

{% hint style="info" %}
Only works if your Altura Developer Wallet is authorized on the collection contract.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/developer-wallet-endpoints/mint-new-erc1155-nft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
